#include <bits/stdc++.h>
using namespace std;
int main()
{
    int t,n,lol1,lol2;
    cin>>t;
    vector<int> a(n);
    vector<int> b(n);
    for(int i=0; i<t; i++)
    {
        cin>>n;
        for(int j=0; j<n; j++){
            cin>>a[j];
            a.push_back(a[j]);
            if(a[j]!=0){
                lol1 = a[j];
            }

        }
        for(int k=0; k<n; k++){
            cin>>b[k];
            b.push_back(b[k]);
            if(b[k]!= 0){
                lol2 = b[k];
            }
        }
        if(abs(lol1) == abs(lol2)){
            cout<<"DA";
        }
        else{
            cout<<"NE";
        }

    }
}